﻿
--[[ EN ]]

-- To create a new module, change every occurence of 'Template' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'Template' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "QuoteMediaFanpack1";										-- !!!
local moduleid = "fp1";														-- keep this short
local moduleData = nil;
local frame = CreateFrame("Frame", "QuoteMediaFanpack1FakeFrame"); 			-- !!!

function QuoteMediaFanpack1_OnEvent(this, event, arg1, arg2, arg3, arg4, ...) 	-- !!!
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        if (IsAddOnLoaded("WoWQuote2") or IsAddOnLoaded("KQuote")) then
            QuoteMediaFanpack1_Init();												-- !!!
            if (IsAddOnLoaded("WoWQuote2")) then
                WQ2_InitModule(moduleData);
            end
            if (IsAddOnLoaded("KQuote")) then
                KQ_InitModule(moduleData);
            end            
        else
            DEFAULT_CHAT_FRAME:AddMessage(moduleName..": Please install KQuote or WoWQuote2!",1.0,0.0,0.0);
        end
        frame:UnregisterEvent("ADDON_LOADED");
    end
end

frame:SetScript("OnEvent", QuoteMediaFanpack1_OnEvent);						-- !!!
frame:RegisterEvent("ADDON_LOADED");

function QuoteMediaFanpack1_Init()												-- !!!
    DEFAULT_CHAT_FRAME:AddMessage(moduleName.." loaded.");
    moduleData = {
		name = "Fanpack1",													-- !!!
    	moduleid = moduleid,
    	mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
	mediadata = nil,
           tags = {
            ["charlie"] = "Charlie das Einhorn",
            ["mutter"] = "Deine Mutter Sprüche",
            ["wowsounds"] = "WoW Bosse",
            }  			-- add your own tags here, if any 
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
    id = "fp1:001",
    file = "bananensong.mp3",
    len = 26,									
    msg = "Steck dir ne Banane in dein Ohr *träller*",
    tags = {"music"}
},
{
    id = "fp1:002",
    file = "barlowschurkeimba.mp3",
    len = 4,
    msg = "Jede Klasse die länger als...",
    tags = {"pvp","rogue","barlow"}
},
{
    id = "fp1:003",
    file = "barlowschurkemaximal2schlaege.mp3",
    len = 9,
    msg = "Überhaupt geht ja sowieso...",
    tags = {"pvp","pve","rogue","barlow"}
},
{
    id = "fp1:004",
    file = "barlowschurkenurcrits.mp3",
    len = 3,
    msg = "Deine Attacken Critten immer",
    tags = {"pvp","pve","rogue","barlow"}
},
{
    id = "fp1:005",
    file = "barlowschurkepvprang.mp3",
    len = 7,
    msg = "Hartz-4 Empfänger und Kacknoobs",
    tags = {"pvp","rogue","barlow"}
},
{
    id = "fp1:006",
    file = "barlowschurkerotaaggro.mp3",
    len = 9,
    msg = "Tank ist schuld",
    tags = {"pve","rogue","barlow"}
},
{
    id = "fp1:007",
    file = "barlowschurkesdm.mp3",
    len = 11,
    msg = "Verbesserter Segen der Macht",
    tags = {"pve","pvp","rogue","barlow"}
},
{
    id = "fp1:008",
    file = "bienemajaruelpst.mp3",
    len = 25,
    msg = "Biene Maja *träller*",
    tags = {"music"}
},
{
    id = "fp1:009",
    file = "boesesachenpassieren.mp3",
    len = 3,
    msg = "Ich mag diese Bösen Sachen nicht...",
    tags = {"charlie"}
},
{
    id = "fp1:010",
    file = "candymountain.mp3",
    len = 5,
    msg = "Ein Land voller Süßem...",
    tags = {"charlie"}
},
{
    id = "fp1:011",
    file = "chaggachoo.mp3",
    len = 8,
    msg = "Chagga Chagga Choo Choo",
    tags = {"charlie"}
},
{
    id = "fp1:012",
    file = "charliederunglaeubige.mp3",
    len = 11,
    msg = "Charlie der Ungläubige",
    tags = {"charlie"}
},
{
    id = "fp1:013",
    file = "deinemutterbauschutt.mp3",
    len = 2,
    msg = "Deine Mudda frisst Bauschutt",
    tags = {"mutter"}
},
{
    id = "fp1:014",
    file = "deinemutterbusgeld.mp3",
    len = 4,
    msg = "Deine Mudda sitzt vor Aldi...",
    tags = {"mutter"}
},
{
    id = "fp1:015",
    file = "deinemutterholz.mp3",
    len = 4,
    msg = "Was ist eigentlich der Unterschied",
    tags = {"mutter"}
},
{
    id = "fp1:016",
    file = "deinemutterigel.mp3",
    len = 6,
    msg = "Der Igel wohnt jetzt hier",
    tags = {"mutter"}
},
{
    id = "fp1:017",
    file = "deinemutterjogger.mp3",
    len = 4,
    msg = "Deine Mutter ist so fett...",
    tags = {"mutter"}
},
{
    id = "fp1:018",
    file = "deinemutterkino.mp3",
    len = 4,
    msg = "Deine Mutter sitzt neben jedem",
    tags = {"mutter"}
},
{
    id = "fp1:019",
    file = "deinemutterkotzen.mp3",
    len = 4,
    msg = "Deine Mutter beisst beim...",
    tags = {"mutter"}
},
{
    id = "fp1:020",
    file = "deinemutterlehrer.mp3",
    len = 3,
    msg = "Deine Mutter ist Lehrer...",
    tags = {"mutter"}
},
{
    id = "fp1:021",
    file = "deinemutteronlinepoker.mp3",
    len = 3,
    msg = "Deine Mutter spielt Onlinepoker...",
    tags = {"mutter"}
},
{
    id = "fp1:022",
    file = "deinemutterorangenhaut.mp3",
    len = 3,
    msg = "Deine Mutter hat Orangenhaut",
    tags = {"mutter"}
},
{
    id = "fp1:023",
    file = "deinemutterrohrzange.mp3",
    len = 3,
    msg = "Deine Mutter zupft sich die Augenbrauen...",
    tags = {"mutter"},
},
{
    id = "fp1:024",
    file = "deinemutterurlaub.mp3",
    len = 5,
    msg = "Ich hab letztens...",
    tags = {"mutter"},
},
{
    id = "fp1:025",
    file = "esgibtihn.mp3",
    len = 2,
    msg = "Ja leck mich fett",
    tags = {"charlie"},
},
{
    id = "fp1:026",
    file = "eshatgarnichtsgesagt.mp3",
    len = 11,
    msg = "Es hat gar nichts gesagt!",
    tags = {"charlie"},
},
{
    id = "fp1:027",
    file = "eswirdeinabenteuer.mp3",
    len = 3,
    msg = "Es wird ein Abenteuer!",
    tags = {"charlie"},
},
{
    id = "fp1:028",
    file = "gummibaerenintro.mp3",
    len = 13,
    msg = "Mutig und freundlich...",
    tags = {"music"},
},
{
    id = "fp1:029",
    file = "gummibaerenbanderefrain.mp3",
    len = 10,
    msg = "Gummibären, hüpfen hier und dort...",
    tags = {"music"},
},
{
    id = "fp1:030",
    file = "heycharlie.mp3",
    len = 8,
    msg = "Heeey Chaarliee",
    tags = {"charlie"},
},
{
    id = "fp1:031",
    file = "ihrschwebt.mp3",
    len = 3,
    msg = "Ihr schwebt!",
    tags = {"charlie"},
},
{
    id = "fp1:032",
    file = "nieregeklaut.mp3",
    len = 6,
    msg = "Die haben meine Niere geklaut",
    tags = {"charlie"},
},
{
    id = "fp1:033",
    file = "starwarsesgibtkeinentkommen.mp3",
    len = 7,
    msg = "Es gibt kein entkommen",
},
{
    id = "fp1:034",
    file = "starwarsichbindeinvater.mp3",
    len = 4,
    msg = "Ich bin dein Vater",
},
{
    id = "fp1:035",
    file = "stirblangsamschwaebisch3malgemailt.mp3",
    len = 5,
    msg = "Ich hab dir insgesamt 3 Mal gemailt",
},
{
    id = "fp1:036",
    file = "stirblangsamschwaebischdslanschluss.mp3",
    len = 4,
    msg = "Heutzutage hat doch jeder nen DSL Anschluss",
},
{
    id = "fp1:037",
    file = "stirblangsamschwaebischnegativebewertung.mp3",
    len = 3,
    msg = "Negative Bewertung",
},
{
    id = "fp1:038",
    file = "suessezuckrigeliebe.mp3",
    len = 5,
    msg = "Du erfüllst mich mit süßer Zuckriger Liebe",
    tags = {"charlie"},
},
{
    id = "fp1:039",
    file = "timmydasschaefchenintro.mp3",
    len = 16,
    msg = "Timmy das Schäfchen *träller*",
},
{
    id = "fp1:040",
    file = "yippieyahyeischweinebacke.mp3",
    len = 2,
    msg = "Yippie ya Yey Schweinebacke!",
},
{
    id = "fp1:041",
    file = "300readyyourbreakfast.mp3",
    len = 7,
    msg = "Tonight we Dine in Hell!",
},
{
    id = "fp1:042",
    file = "badboys2badboys.mp3",
    len = 6,
    msg = "Bad boys, Bad boys, whatcha gonna do...",
},
{
    id = "fp1:043",
    file = "gottkenntgnadeernicht.mp3",
    len = 7,
    msg = "Gott kennt Gnade, Er nicht.",
},
{
    id = "fp1:044",
    file = "mariobarthnussloch.mp3",
    len = 2,
    msg = "Wir fahren nach Nussloch!",
},
{
    id = "fp1:045",
    file = "thisissparta.mp3",
    len = 3,
    msg = "This is Sparta!",
},
{
    id = "fp1:046",
    file = "wirstehenzusammenwirfallenzusammenbadboysfuersleben.mp3",
    len = 8,
    msg = "Wir stehen zusammen,wir fallen zusammen...",
},
{
    id = "fp1:047",
    file = "eziorequiescatinpace.mp3",
    len = 5,
    msg = "Requiescat in Pace",
    tags = {"pvp","pve"},
},
{
    id = "fp1:048",
    file = "dasgebet.mp3",
    len = 16,
    msg = "Boondock Saints - Das Gebet",
    tags = {"paladin","pvp","pve"},
},
{
    id = "fp1:049",
    file = "derpsalm.mp3",
    len = 17,
    msg = "Der Psalm - Das letzte Blut",
    tags = {"paladin","pvp","pve"},
},
{
    id = "fp1:050",
    file = "meinflammendesschwert.mp3",
    len = 22,
    msg = "Mein Flammendes Schwert und meine Hand sollen euch richten",
    tags = {"paladin","pvp","pve"},
},
{
    id = "fp1:051",
    file = "amnennarthecoldbringeraggro01.mp3",
    len = 4,
    msg = "Ihr kommt hier niemals lebend raus",
    tags = {"wowsounds"},
},
{
    id = "fp1:052",
    file = "cthundeathisclose.mp3",
    len = 3,
    msg = "Der Tod naht",
    tags = {"wowsounds"},
},
{
    id = "fp1:053",
    file = "cthunyouareallready.mp3",
    len = 4,
    msg = "Ihr seid bereits Tod",
    tags = {"wowsounds"},
},
{
    id = "fp1:054",
    file = "cthunyourcourage.mp3",
    len = 3,
    msg = "Euer Mut wird schwinden",
    tags = {"wowsounds"},
},
{
    id = "fp1:055",
    file = "cthunyourfriends.mp3",
    len = 4,
    msg = "Eure Freunde werden sich von euch abwenden",
    tags = {"wowsounds"},
},
{
    id = "fp1:056",
    file = "cthunyouwillbetray.mp3",
    len = 4,
    msg = "Ihr werdet eure Freunde hintergehen",
    tags = {"wowsounds"},
},
{
    id = "fp1:057",
    file = "cthunyouwilldie.mp3",
    len = 3,
    msg = "Ihr werdet sterben",
    tags = {"wowsounds"},
},
{
    id = "fp1:058",
    file = "dreamscythewarningyell01.mp3",
    len = 5,
    msg = "Kehrt um! Weckt den Träumer nicht auf!",
    tags = {"wowsounds"},
},
{
    id = "fp1:059",
    file = "gotnaxxslay.mp3",
    len = 3,
    msg = "Tod ist der einzige Ausweg!",
    tags = {"wowsounds"},
},
{
    id = "fp1:060",
    file = "gotnaxxspch.mp3",
    len = 23,
    msg = "Ihr Narren habt euren eigenen Untergang heraufbeschworen...",
    tags = {"wowsounds"},
},
{
    id = "fp1:061",
    file = "horsemanbomb01.mp3",
    len = 18,
    msg = "Der Kopflose Reiter",
    tags = {"wowsounds"},
},
{
    id = "fp1:062",
    file = "hrlichkingendall.mp3",
    len = 12,
    msg = "Dies ist das Ende, die Vernichtung erwartet euch. Sterbt!",
    tags = {"wowsounds"},
},
{
    id = "fp1:063",
    file = "icdsaurfangaggro01.mp3",
    len = 3,
    msg = "Bei der Macht des Lichkönigs",
    tags = {"wowsounds"},
},
{
    id = "fp1:064",
    file = "icrotfacebeserk01.mp3",
    len = 3,
    msg = "Schlafenszeit hehehe!",
    tags = {"wowsounds"},
},
{
    id = "fp1:065",
    file = "icsaurfangwipe01.mp3",
    len = 2,
    msg = "Wir haben versagt",
    tags = {"wowsounds"},
},
{
    id = "fp1:066",
    file = "loanaxxtaunt04.mp3",
    len = 3,
    msg = "Euer Ende naht!",
    tags = {"wowsounds"},
},
{
    id = "fp1:067",
    file = "ossirianyouare.mp3",
    len = 3,
    msg = "Das ist euer Tod!",
    tags = {"wowsounds"},
},
{
    id = "fp1:068",
    file = "ragnarosspecialattack01.mp3",
    len = 5,
    msg = "Das Feuer wird euch läutern!",
    tags = {"wowsounds"},
},
{
    id = "fp1:069",
    file = "ragnarosspecialattack02.mp3",
    len = 5,
    msg = "Spürt die Flammen von Sulfuron!",
    tags = {"wowsounds"},
},
{
    id = "fp1:070",
    file = "raznaxxcmmnd02.mp3",
    len = 1,
    msg = "Lasst keine Gnade walten!",
    tags = {"wowsounds"},
},
{
    id = "fp1:071",
    file = "skeramletyourdeath.mp3",
    len = 4,
    msg = "Möge euer Tod als ein Beispiel dienen!",
    tags = {"wowsounds"},
},
{
    id = "fp1:072",
    file = "skeramspineless.mp3",
    len = 7,
    msg = "Kümmerliche Versager! Ihr werdet in Strömen von Blut ertrinken!",
    tags = {"wowsounds"},
},
{
    id = "fp1:073",
    file = "skeramthescreamsof.mp3",
    len = 8,
    msg = "Todesschreie sollen die Luft erfüllen...",
    tags = {"wowsounds"},
},
{
    id = "fp1:074",
    file = "undeadmalewarriornpcpissed04.mp3",
    len = 3,
    msg = "Weckt nicht meinen Zorn!",
    tags = {"wowsounds"},
},
{
    id = "fp1:075",
    file = "varimathrasaggro01.mp3",
    len = 2,
    msg = "Meuchelt die Schwachen",
    tags = {"wowsounds"},
},
{
    id = "fp1:076",
    file = "varimathrasaggro02.mp3",
    len = 2,
    msg = "Zeit zu sterben",
    tags = {"wowsounds"},
},
{
    id = "fp1:077",
    file = "varimathrasaggro03.mp3",
    len = 3,
    msg = "Niemand kann mir Paroli bieten",
    tags = {"wowsounds"},
},
{
    id = "fp1:078",
    file = "voiddismiss01.mp3",
    len = 3,
    msg = "Leerwandler - Ahhhhh",
    tags = {"wowsounds"},
},
{
    id = "fp1:079",
    file = "voiddismiss02.mp3",
    len = 4,
    msg = "Leerwandler - Endlich Frei!",
    tags = {"wowsounds"},
},
{
    id = "fp1:080",
    file = "voiddismiss03.mp3",
    len = 5,
    msg = "Leerwandler - Zurück in die Leere",
    tags = {"wowsounds"},
},
{
    id = "fp1:081",
    file = "voiddismiss04.mp3",
    len = 3,
    msg = "Leerwandler - Ich gehe!",
    tags = {"wowsounds"},
},
{
    id = "fp1:082",
    file = "voidfunny.mp3",
    len = 6,
    msg = "Leerwandler - Ich bin Leer und trotzdem Blau",
    tags = {"wowsounds"},
},
{
    id = "fp1:083",
    file = "voidkill01.mp3",
    len = 5,
    msg = "Leerwandler - Ich muss verzehren!",
    tags = {"wowsounds"},
},
{
    id = "fp1:084",
    file = "voidkill02.mp3",
    len = 4,
    msg = "Leerwandler - Ich gehorche!",
    tags = {"wowsounds"},
},
{
    id = "fp1:085",
    file = "voidkill03.mp3",
    len = 5,
    msg = "Leerwandler - So soll es sein!",
    tags = {"wowsounds"},
},
{
    id = "fp1:086",
    file = "voidkill04.mp3",
    len = 3,
    msg = "Leerwandler - Wie ihr wünscht!",
    tags = {"wowsounds"},
},
{
    id = "fp1:087",
    file = "voidorder01.mp3",
    len = 2,
    msg = "Leerwandler - Ja",
    tags = {"wowsounds"},
},
{
    id = "fp1:088",
    file = "voidorder02.mp3",
    len = 4,
    msg = "Leerwandler - Wenn es sein muss",
    tags = {"wowsounds"},
},
{
    id = "fp1:089",
    file = "voidorder03.mp3",
    len = 4,
    msg = "Leerwandler - Wie ihr befehlt",
    tags = {"wowsounds"},
},
{
    id = "fp1:090",
    file = "voidorder04.mp3",
    len = 4,
    msg = "Leerwandler - Kann nicht widerstehen",
    tags = {"wowsounds"},
},
{
    id = "fp1:091",
    file = "voidsummon01.mp3",
    len = 4,
    msg = "Leerwandler - Warum ruft ihr mich?",
    tags = {"wowsounds"},
},
{
    id = "fp1:092",
    file = "voidsummon02.mp3",
    len = 4,
    msg = "Leerwandler - Was wollt ihr von mir?",
    tags = {"wowsounds"},
},
{
    id = "fp1:093",
    file = "voidsummon03.mp3",
    len = 3,
    msg = "Leerwandler - Gebt mich Frei!",
    tags = {"wowsounds"},
},
{
    id = "fp1:094",
    file = "voidsummon04.mp3",
    len = 6,
    msg = "Leerwandler - Dieser Ort gefällt mir nicht!",
    tags = {"wowsounds"},
},
{
    id = "fp1:095",
    file = "youareweak.mp3",
    len = 3,
    msg = "Ihr seid schwach",
    tags = {"wowsounds"},
},
{
    id = "fp1:096",
    file = "yourheartwill.mp3",
    len = 4,
    msg = "Euer Herz wird zerbersten",
    tags = {"wowsounds"},
},
-- end of media data
};
end 
